petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatComputeOperator

Computes the explicit matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatComputeOperator(Mat inmat,MatType mattype,Mat *mat)

Collective on Mat

### Input Parameter

| inmat | - the matrix
| mattype | - the matrix type for the explicit operator

### Output Parameter

mat -the explict operator

### Notes

This computation is done by applying the operators to columns of the identity matrix. This routine is costly in general, and is recommended for use only with relatively small systems. Currently, this routine uses a dense matrix format if mattype == NULL.

### Level

advanced

### Location

src/mat/utils/axpy.c

### Examples

src/ksp/ksp/examples/tutorials/ex34.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages